
Infrastructure - Task #7273

Story # 7259 (Closed): A DEV2 development environment is needed for upgrade testing

Register public key with CILogon for DEV2 environment

2015-07-24 22:42 - Ben Leinfelder

Status: Closed Start date: 2015-07-24

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

From Ben's 07/24/2015 email:

1. Find the public key for the certificate used by the server. The dataone-cn-portal buildout postinst script will

create a file based on the public certificate that is configured for the given CN (usually a wildcard for the domain).

For our test environments, it is: /etc/ssl/certs/_.test.dataone.org.crt.publickey

It’s the stuff between BEGIN/END PUBLIC KEY. I can’t remember if I leave the delimiters or not. Safest to leave them.

1. Register this public key with CILogon to get a myproxy id: https://cilogon.org/oauth/register

You should only register with the round-robin hostname (once per environment) and use URLs that are not machine-

specific. Here’s an example from SANDBOX2:

Name: DataONE Coordinating Node - Sandbox 2

Home uri: https://cn-sandbox-2.test.dataone.org/portal

Failure uri:https://cn-sandbox-2.test.dataone.org/portal/pages/client-error.jsp

Creation time: Wed Jan 28 17:37:48 CST 2015

Generated identifier: myproxy:oa4mp,2012:/client/66a303882b6e4bec1e91cbf2ccda1e8

2. Include this myproxy id in the portal configuration file. Config file: /var/lib/tomcat7/webapps/portal/WEB-INF/client.xml

For more permanent CN buildouts (e.g., DEV2), include it in the dataone-cn-portal postinst script such that the correct

myproxy id will be set in the config file on installation in this environment (there is a big condition block for this).

3. By now, CILogon will have reported back to the email address you registered with that the myproxy client

registration is active.

History

#1 - 2015-07-24 23:46 - Ben Leinfelder

- % Done changed from 0 to 30

- Status changed from New to In Progress

- Assignee changed from Ben Leinfelder to Chris Jones

#2 - 2015-07-27 00:26 - Chris Jones

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

- Description updated

- Status changed from In Progress to Closed

Instead of going through the full registration, I used the DEV env key:

myproxy:oa4mp,2012:/client/24a10c2cd8bda4e6b5cf244ab7532b2

and was able to log into the portal just fine.
#3 - 2017-03-06 23:19 - Rob Nahf

- Description updated
